Subject: Re: [Tsvwg] Re: SCTP and IP Frag aliasing on LFNs

From: [email-masked]
Date: Thu, 28 Feb 2002 20:56:03 EST

By my understanding, the router doing the TCP packet split/merge act is 
implicitly aware of the local MTU limits.  It could take 3 1500 byte packets 
and make a 4K packet to send out now and a 500 byte packet to send out later 
if nothing showed up to merge.  Going the other way, it could take a 4K 
packet and make 2 1500 packets to send now and a 1K packet to send later if 
nothing showed to merge it with.  A router might even have a bias for sending 
max MTU packets first, then smallest first, to maximize the opportunity for 
packet merge, which my example shows helps bandwidth loss from header and 
other per packet overheads when the MTU changes either way, even more than it 
helps for flat MTU.

Personally, I don't see that many 'dribbly' TCP applications that develop a 
lot of sequential sub-MTU packets in the same direction with acknowledgment, 
just those with big file transfer packets or mini packets of keystrokes, 
keystroke echoes, small messages, keepalive, or ack.